group.mzClust {xcms} | R Documentation

## Group Peaks via High Resolution Alignment

### Description

Runs high resolution alignment on the peaks stored in a given xcmsSet.

### Usage

    groupedobject <- group(object, method="mzClust", mzppm = 20, mzabs = 0, minsamp = 1, minsampclass=0, minfrac=0)

### Arguments

`object` | a xcmsSet with peaks
`mzppm` | the relative error used for clustering/grouping in ppm (parts per million)
`mzabs` | the absolute error used for clustering/grouping
`minsamp` | set the minimum number of samples in one bin
`minfrac` | set the minimum fraction of each class in one bin

### Value

Returns a xcmsSet with slots groups and groupindex set.

### References

Saira A. Kazmi, Samiran Ghosh, Dong-Guk Shin, Dennis W. Hill and David F. Grant
Alignment of high resolution mass spectra: development of a heuristic approach for metabolomics.
Metabolomics, Vol. 2, No. 2, 75-83 (2006)

### See Also

`xcmsSet-class`,

### Examples

    ## load xcms and faahKO Dataset
    library(xcms)
    library(faahKO)
    data(faahko)
    ## group faahko data
    ##faahko_grouped <- group(faahko, method="mzClust")
    ## get groups
    ##groups <- groups(faahko_grouped)
    ## get grouped peak indices
    ##idx <- groupidx(faahko_grouped)

[Package xcms version 1.16.3 Index]